Bug 1457740 - [Tracing] compling qemu-kvm failed through systemtap
Summary: [Tracing] compling qemu-kvm failed through systemtap
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: Stefan Hajnoczi
QA Contact: jingzhao
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-01 08:40 UTC by jingzhao
Modified: 2017-08-02 04:41 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-02 04:41:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description jingzhao 2017-06-01 08:40:28 UTC
Description of problem:
compling qemu-kvm failed when executed "service systemtap start qemu_kvm" 

Version-Release number of selected component (if applicable):
[root@localhost rhel]# rpm -qa |grep kernel-devel
kernel-devel-3.10.0-675.el7.x86_64
[root@localhost rhel]# uname -r
3.10.0-675.el7.x86_64
[root@localhost rhel]# rpm -qa |grep qemu-kvm-rhev
qemu-kvm-rhev-2.9.0-7.el7.x86_64

How reproducible:
3/3

Steps to Reproduce:
1. cp /usr/share/qemu-kvm/systemtap/script.d/qemu_kvm.stp /etc/systemtap/script.d/
2. cp /usr/share/qemu-kvm/systemtap/conf.d/qemu_kvm.conf /etc/systemtap/conf.d/


Actual results:
[root@localhost script.d]# service systemtap start qemu_kvm
Starting systemtap:  Compiling qemu_kvm ... error
                                                           [FAILED]


Expected results:
complied success

Additional info:
[root@localhost script.d]# cat /etc/systemtap/script.d/qemu_kvm.stp 
probe qemu.kvm.simpletrace.handle_qmp_command,qemu.kvm.simpletrace.monitor_protocol_*,qemu.kvm.simpletrace.migrate_set_state {}

[root@localhost script.d]# cat /etc/systemtap/conf.d/qemu_kvm.conf 
# Force load uprobes (see BZ#1118352)
stap -e 'probe process("/usr/libexec/qemu-kvm").function("main") { printf("") }' -c true

qemu_kvm_OPT="-s4" # per-CPU buffer size, in megabytes

PS: compile successfully when deleted qemu.kvm.simpletrace.handle_qmp_command
[root@localhost script.d]# cat qemu_kvm.stp 
probe qemu.kvm.simpletrace.monitor_protocol_*,qemu.kvm.simpletrace.migrate_set_state {}

Comment 2 Stefan Hajnoczi 2017-06-05 10:45:26 UTC
handle_qmp_command was part of the functionality required by the flight recorder.  I have sent the following patch upstream:
[PATCH 0/2] monitor: add trace events for HMP and QMP commands

Once it has been merged I will backport it and the flight recorder will work again.

Comment 3 Ademar Reis 2017-06-05 22:03:11 UTC
If I understood the problem correctly, this is a regression in the flight recorder feature. Setting keyword, please correct if that's not the case.

Comment 4 Ademar Reis 2017-06-12 17:18:26 UTC
(In reply to Stefan Hajnoczi from comment #2)
> handle_qmp_command was part of the functionality required by the flight
> recorder.  I have sent the following patch upstream:
> [PATCH 0/2] monitor: add trace events for HMP and QMP commands
> 
> Once it has been merged I will backport it and the flight recorder will work
> again.

You've set it to POST, but I don't see the backport yet, reverting back to ASSIGNED.

Comment 7 Stefan Hajnoczi 2017-06-16 13:10:20 UTC
The backport has been posted.  I hope this can still make it into RHEL 7.4.

Comment 9 Miroslav Rezanina 2017-06-20 06:02:50 UTC
Fix included in qemu-kvm-rhev-2.9.0-12.el7

Comment 13 errata-xmlrpc 2017-08-02 04:41:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.